> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate International Passport

> Validate a Customer's International Passport

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="passport_number" type="string" required>
  A valid passport number
</ParamField>

<ParamField query="surname" type="string" required>
  Surname associated with the Passport
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
      "entity": {
          "passport_number": "A00123456",
          "date_of_issue": "01/02/2000",
          "expiry_date": "01/02/2000",
          "document_type": "Standard Passport",
          "issue_place": "LAGOS",
          "surname": "MUSA",
          "first_name": "JOHN",
          "other_names": "DOE",
          "date_of_birth": "10/06/1993",
          "gender": "Undecided",
          "photo": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAEBAQEBAQEBA..."
      }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>

### Test Credentials for Sandbox

Kindly use this Test Passport Number in sandbox Environment

Passport Number = `A00123456`
